curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
'{
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}Modify an existing schedule by updating its rules, timezone, and name All fields are optional - only provided fields will be updated.
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Business Hours",
"rules": [
{
"type": "wday",
"day": "monday",
"intervals": [
{
"from": "08:00",
"to": "18:00"
}
]
}
],
"timezone": "America/Los_Angeles"
}
'{
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Unique identifier of the schedule to update
"sch123def456ghi789"
Human-readable name for the schedule
"Updated Business Hours"
Updated schedule rules defining when the schedule is active
Show child attributes
[
{
"type": "wday",
"day": "monday",
"intervals": [{ "from": "08:00", "to": "18:00" }]
}
]Updated timezone for the schedule (IANA timezone identifier)
^[A-Za-z_]+/[A-Za-z_]+$"America/Los_Angeles"
Schedule updated successfully
Show child attributes
Was this page helpful?